Amazon Linux AMI:nspr / nss-util、nss、nss-softokn (ALAS-2016-702)

high Nessus Plugin ID 91240

Synopsis

遠端 Amazon Linux AMI 主機缺少安全性更新。

描述

在 NSS 處理 DHE (DiffieHellman 金鑰交換) 和 ECDHE (橢圓曲線 Diffie-Hellman 金鑰交換) 交握訊息的方式中發現一個釋放後使用瑕疵。遠端攻擊者可傳送特製的交握訊息,在由與 NSS 相連的應用程式剖析時,會造成該應用程式損毀,或在特定的特殊情形下,會利用執行該應用程式的使用者權限執行任意程式碼。(CVE-2016-1978)

在 NSS 處理特定 DER (Distinguished Encoding Rules) 編碼的密碼編譯金鑰的方式中發現一個釋放後使用瑕疵。攻擊者可利用此缺陷建立特製的 DER 編碼憑證,當以 NSS 程式庫編譯的應用程式剖析時,可造成該應用程式損毀,或是以執行該應用程式的使用者權限來執行任意程式碼。(CVE-2016-1979)

解決方案

執行「yum update nspr」以更新系統。

執行「yum update nss-util」以更新系統。

執行「yum update nss」以更新系統。

執行「yum update nss-softokn」以更新系統。

另請參閱

https://alas.aws.amazon.com/ALAS-2016-702.html

Plugin 詳細資訊

嚴重性: High

ID: 91240

檔案名稱: ala_ALAS-2016-702.nasl

版本: 2.4

類型: local

代理程式: unix

已發布: 2016/5/19

已更新: 2018/4/18

支持的傳感器: Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: High

基本分數: 7.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3

風險因素: High

基本分數: 8.8

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

弱點資訊

CPE: p-cpe:/a:amazon:linux:nspr, p-cpe:/a:amazon:linux:nspr-debuginfo, p-cpe:/a:amazon:linux:nspr-devel, p-cpe:/a:amazon:linux:nss, p-cpe:/a:amazon:linux:nss-debuginfo, p-cpe:/a:amazon:linux:nss-devel, p-cpe:/a:amazon:linux:nss-pkcs11-devel, p-cpe:/a:amazon:linux:nss-softokn, p-cpe:/a:amazon:linux:nss-softokn-debuginfo, p-cpe:/a:amazon:linux:nss-softokn-devel, p-cpe:/a:amazon:linux:nss-softokn-freebl, p-cpe:/a:amazon:linux:nss-softokn-freebl-devel, p-cpe:/a:amazon:linux:nss-sysinit, p-cpe:/a:amazon:linux:nss-tools, p-cpe:/a:amazon:linux:nss-util, p-cpe:/a:amazon:linux:nss-util-debuginfo, p-cpe:/a:amazon:linux:nss-util-devel, cpe:/o:amazon:linux

必要的 KB 項目: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

修補程式發佈日期: 2016/5/18

參考資訊

CVE: CVE-2016-1978, CVE-2016-1979

ALAS: 2016-702